# Uses of Enum Class
org.jfree.chart3d.table.HAlign

Packages that use HAlign
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.legend
Classes related to chart legends.
org.jfree.chart3d.table
Classes and interfaces for constructing tables for display to the user.

## Uses of HAlign in org.jfree.chart3d

Methods in org.jfree.chart3d with parameters of type HAlign
Modifier and Type
Method
Description
`static TableElement`
TitleUtils.`createTitle(String title, Font titleFont, String subtitle, Font subtitleFont, HAlign alignment)`
Creates a chart title and subtitle using the specified fonts and alignment.

## Uses of HAlign in org.jfree.chart3d.legend

Methods in org.jfree.chart3d.legend that return HAlign
Modifier and Type
Method
Description
`HAlign`
StandardLegendBuilder.`getFooterAlignment()`
Returns the footer alignment.
`HAlign`
StandardLegendBuilder.`getHeaderAlignment()`
Returns the header alignment.
`HAlign`
StandardLegendBuilder.`getRowAlignment()`
Returns the row alignment.
Methods in org.jfree.chart3d.legend with parameters of type HAlign
Modifier and Type
Method
Description
`void`
StandardLegendBuilder.`setFooterAlignment(HAlign align)`
Sets the footer alignment.
`void`
StandardLegendBuilder.`setHeaderAlignment(HAlign align)`
Sets the header alignment.
`void`
StandardLegendBuilder.`setRowAlignment(HAlign alignment)`
Sets the row alignment (to override the default alignment that is derived from the legend anchor point).

## Uses of HAlign in org.jfree.chart3d.table

Methods in org.jfree.chart3d.table that return HAlign
Modifier and Type
Method
Description
`HAlign`
FlowElement.`getHorizontalAlignment()`
Returns the horizontal alignment of items within rows.
`HAlign`
TextElement.`getHorizontalAlignment()`
Returns the horizontal alignment that will be used when rendering the text.
`static HAlign`
HAlign.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HAlign[]`
HAlign.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jfree.chart3d.table with parameters of type HAlign
Modifier and Type
Method
Description
`void`
TextElement.`setHorizontalAligment(HAlign align)`
Sets the horizontal alignment.
`void`
FlowElement.`setHorizontalAlignment(HAlign alignment)`
Sets the horizontal alignment.
Constructors in org.jfree.chart3d.table with parameters of type HAlign
Modifier
Constructor
Description
``
`FlowElement(HAlign alignment, int hgap)`
Creates a new instance with the specified attributes.